#ifndef _PhDetHit_INCLUDED_
#define _PhDetHit_INCLUDED_

///////////////////////////////////////////////////////////////////////
//                                                                   //
//    TPhDetHit                                                      //
//                                                                   //
//    Phobos Detector Hit class                                      //
//                                                                   //
///////////////////////////////////////////////////////////////////////

// Root Classes

#include <TObject.h>

// Phobos Classes

class TPhDetHit;

#include "TPhPad.h"
#include "TPhDetector.h"

class TPhDetHit : public TObject {

public:
    TPhDetHit() {fNumberHits++;}
    
    virtual ~TPhDetHit() {fNumberHits--;}

    virtual TPhDetector * GetDetector() { return fDetector;   }
    virtual TPhPad * GetPad()           { return fPad;        }
    virtual Int_t    GetID()            { return fID;         }
    virtual Float_t  GetValue()         { return fValue;      }
    
	virtual void  SetPad(TPhPad * x)   {fPad   = x;           }
    virtual void  SetDetector(TPhDetector * x) {fDetector = x;}
 	virtual void  SetID(Int_t x)       {fID    = x;           }
    virtual void  SetValue(Float_t x)  {fValue = x;           }
	static Int_t GetNCreated() {return fNumberHits;}
    

protected:

    Int_t    fID;            // Hit Id number           
    Float_t  fValue;         // Stored Value
	TPhPad * fPad;           // Pointer to Geometry Pad
	TPhDetector * fDetector; // Pointer to Detector
	Int_t    Bogus();        // Dummy Routine
	static Int_t fNumberHits;// total detector hits created

public:

    ClassDef(TPhDetHit,1)  // PHOBOS hit data class

};

#endif




