#ifndef _PhPed_INCLUDED_
#define _PhPed_INCLUDED_

///////////////////////////////////////////////////////////////////////
//                                                                   //
//    TPhPed                                                    //
//                                                                   //
//    Phobos Ped class                                          //
//                                                                   //
//    Author  : Christopher Conner (cmc@uic.edu)                     //
//    Created : 05/13/97                                             //
//    Version : 1.0                                                  //
//    Changed :                                                      //
//                                                                   //
///////////////////////////////////////////////////////////////////////

// Root Classes

#include <TObject.h>

// Phobos Classes


class TPhPed : public TObject {

public:
    TPhPed() { };
    
    virtual ~TPhPed() {fPedestal = 0.; fSigma = 0.; fCutoff = 0.; };

    virtual Double_t  GetPedestal()     { return fPedestal;   }
    virtual Double_t  GetSigma()        { return fSigma;      }
	virtual Double_t  GetCutoff()       { return fCutoff;     }
    
	virtual void  SetPedestal(Double_t x) {fPedestal = x;     }
    virtual void  SetSigma   (Double_t x) {fSigma    = x;     }
    virtual void  SetCutoff  (Double_t x) {fCutoff   = x;     }

protected:

    Double_t   fPedestal;    // Mean Ped Value           
    Double_t   fSigma;       // Sigma of Ped Peak
	Double_t   fCutoff;      // Cutoff for Ped subtraction

public:

    ClassDef(TPhPed,1)  // PHOBOS hit data class

};

#endif




