#ifndef _PhWA98Family_INCLUDED_
#define _PhWA98Family_INCLUDED_

///////////////////////////////////////////////////////////////////////
//                                                                   //
//    TPhWA98Family                                                  //
//                                                                   //
//    WA98 DetFamily base class                                      //
//                                                                   //                    //
//                                                                   //
//    Autheor : Christopher Conner (cmc@uic.edu)                     //
//    Created : 04/25/97                                             //
//    Version : 1.0                                                  //
//    Changed :                                                      //
//                                                                   //
///////////////////////////////////////////////////////////////////////

// Phobos Classes

#include "TPhDetFamily.h"

class TPhWA98Family : public TPhDetFamily
{

public:
    TPhWA98Family();
    
    virtual ~TPhWA98Family(){ if (PadRadiiLow) delete PadRadiiLow; 
							  if (PadRadiiHigh) delete PadRadiiHigh;}
	virtual Bool_t ReadGeometry(Char_t * = NULL, Char_t* = NULL);
	
	static const Int_t kFamID;
    static const Int_t kDataSize;
    static const Int_t kNumRadius;

protected:

	Double_t * PadRadiiLow;
	Double_t * PadRadiiHigh;

    ClassDef(TPhWA98Family,1) // PHOBOS geometry and calibration interface


};

#endif
