
///////////////////////////////////////////////////////////////////////
//                                                                   //
//    TPhWA98Pad                                                     //
//                                                                   //
//    WA98 DetPad base class                                         //
//                                                                   //                    //
//                                                                   //
//    Autheor : Christopher Conner (cmc@uic.edu)                     //
//    Created : 04/27/97                                             //
//    Version : 1.0                                                  //
//    Changed :                                                      //
//                                                                   //
///////////////////////////////////////////////////////////////////////

#include "TPhWA98Pad.h"

#include <iostream.h>

//#define DEBUG

ClassImp(TPhWA98Pad)

void TPhWA98Pad::Draw(Int_t color)
{
// Drawing routine for one Pad. This is not standalone,
// but has to be called after creating a TView object
;

	if(fActive)
	{
        if(!fPoly)
        {
			fPoly = new TPolyLine3D(5);
			for (Int_t num = 0; num < 4; num++)
			{
				fPoly->SetPoint(num,Float_t(fX[num]),Float_t(fY[num]),Float_t(fZ[num]));
			}
			fPoly->SetPoint(4,Float_t(fX[0]),Float_t(fY[0]),Float_t(fZ[0]));
		}
		if (color < 1)
		{			
			fPoly->SetLineColor(fPlane);
		}
		fPoly->Draw();
	}
	else
	{
#ifdef DEBUG2
	cout << "Skipping : " << fID << endl;
#endif
	}
}

void TPhWA98Pad::DrawPoint(Int_t color)
{
// Drawing routine for one Pad. This is not standalone,
// but has to be called after creating a TView object


	if(fActive)
	{
		TPhPad::DrawPoint(color);
	}
	else
	{
#ifdef DEBUG2
	cout << "Skipping : " << fID << endl;
#endif
	}
}
